Package org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxManager.TxDumpsThrottling

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxManager.TxDumpsThrottling

Enclosing class:
  IgniteTxManager

    public class IgniteTxManager.TxDumpsThrottling
    extends Object

This class is used to store information about transaction time dump throttling.

### Constructor Summary

Constructors
`TxDumpsThrottling()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dump()` Should be called when we dump transaction to log.
`void` `skip()` Should be called when we skip transaction which we could dump to log because of throttling.
`boolean` `skipCurrent()` Returns should we skip dumping the transaction in current moment.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxDumpsThrottling

    public TxDumpsThrottling()

### Method Detail

#### skipCurrent

    public boolean skipCurrent()

Returns should we skip dumping the transaction in current moment.

#### dump

    public void dump()

Should be called when we dump transaction to log.

#### skip

    public void skip()

Should be called when we skip transaction which we could dump to log because of throttling.